--AH:ScriptId=e47e0b76-5b5e-4535-8e04-eab5ee7090d3;2894
CREATE TABLE [FeedRetentionRules]
(
	[Feed_Id] INT NOT NULL,
	[Sequence_Number] INT NOT NULL,
	[DeletePrereleaseVersions_Indicator] YNINDICATOR NOT NULL,
	[DeleteCached_Indicator] YNINDICATOR NOT NULL,
	[KeepVersions_Count] INT NULL,
	[KeepUsedWithin_Days] INT NULL,
	[DeletePackageIds_Csv] NVARCHAR(MAX) NULL,
	[KeepPackageIds_Csv] NVARCHAR(MAX) NULL,
	[SizeTrigger_KBytes] BIGINT NULL,
	[SizeExclusive_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__FeedRetentionConfiguration]
		PRIMARY KEY ([Feed_Id], [Sequence_Number]),

	CONSTRAINT [FK__FeedRetentionConfiguration__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id]),

	CONSTRAINT [CK__FeedRetentionConfiguration__Sequence_Number]
		CHECK ([Sequence_Number] > 0),

	CONSTRAINT [CK__FeedRetentionConfiguration__DeleteOldVersions_Count]
		CHECK ([KeepVersions_Count] IS NULL OR [KeepVersions_Count] > 0),

	CONSTRAINT [CK__FeedRetentionConfiguration__DeleteUnusedWithin_Days]
		CHECK ([KeepUsedWithin_Days] IS NULL OR [KeepUsedWithin_Days] > 0),

	CONSTRAINT [CK__FeedRetentionConfiguration__DeletePackageIds_Csv]
		CHECK ([DeletePackageIds_Csv] IS NULL OR [DeletePackageIds_Csv] <> ''),

	CONSTRAINT [CK__FeedRetentionConfiguration__KeepPackageIds_Csv]
		CHECK ([KeepPackageIds_Csv] IS NULL OR [KeepPackageIds_Csv] <> ''),

	CONSTRAINT [CK__FeedRetentionConfiguration__FeedSizeTrigger_KBytes]
		CHECK ([SizeTrigger_KBytes] IS NULL OR [SizeTrigger_KBytes] > 0)
)