EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Assets_GetItemHistory',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'AssetItemOldVersions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns old version records of the specified asset item.'
GO

IF OBJECT_ID('[Assets_GetItemHistory]') IS NOT NULL DROP PROCEDURE [Assets_GetItemHistory]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Assets_GetItemHistory]
(
	@AssetItem_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [AssetItemOldVersions]
	 WHERE [AssetItem_Id] = @AssetItem_Id
	 ORDER BY [AssetItemOldVersion_Id]

END
GO

GRANT EXECUTE ON [Assets_GetItemHistory] TO [ProGetUser_Role]