EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageContainerScanners_DeleteScanner',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a package/container scanner.'
GO

IF OBJECT_ID('[PackageContainerScanners_DeleteScanner]') IS NOT NULL DROP PROCEDURE [PackageContainerScanners_DeleteScanner]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [PackageContainerScanners_DeleteScanner]
(
	@PackageContainerScanner_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [PackageContainerScanners]
	 WHERE [PackageContainerScanner_Id] = @PackageContainerScanner_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [PackageContainerScanners_DeleteScanner] TO [ProGetUser_Role]
GO