EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ReplicationClients_GetEdgeNodeCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the number of registered edge nodes.'
GO

IF OBJECT_ID('[ReplicationClients_GetEdgeNodeCount]') IS NOT NULL DROP PROCEDURE [ReplicationClients_GetEdgeNodeCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ReplicationClients_GetEdgeNodeCount]
(
	@EdgeNode_Count INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

	SET @EdgeNode_Count = (SELECT COUNT([IPAddress_Text])
                             FROM [ReplicationClients]
                            WHERE [EdgeNode_Indicator] = 'Y')
							
END
GO

GRANT EXECUTE ON [ReplicationClients_GetEdgeNodeCount] TO [ProGetUser_Role]
GO
