EXEC [__AddStoredProcInfo]
	/* StoredProc_Name         */ 'Feeds_GetFeedVulnerabilitySources',
	/* Internal_Indicator      */ 'N',
	/* ReturnType_Name         */ 'DataTable',
	/* DataTableNames_Csv      */ 'FeedVulnerabilitySources_Extended',
	/* OutputPropertyNames_Csv */ NULL,
	/* Description_Text        */ 'Gets the vulnerability sources for a feed.'
GO

IF OBJECT_ID('[Feeds_GetFeedVulnerabilitySources]') IS NOT NULL DROP PROCEDURE [Feeds_GetFeedVulnerabilitySources]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetFeedVulnerabilitySources]
(
	@Feed_Id INT = NULL,
	@VulnerabilitySource_Id INT = NULL
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT FVS.*
	FROM [FeedVulnerabilitySources_Extended] FVS
		INNER JOIN [VulnerabilitySources] VS 
			ON VS.[VulnerabilitySource_Id] = FVS.[VulnerabilitySource_Id]
	WHERE (@Feed_Id IS NULL OR (@Feed_Id IS NOT NULL AND FVS.[Feed_Id] = @Feed_Id)) 
		AND (@VulnerabilitySource_Id IS NULL OR (@VulnerabilitySource_Id IS NOT NULL AND FVS.[VulnerabilitySource_Id] = @VulnerabilitySource_Id))

END
GO

GRANT EXECUTE ON [Feeds_GetFeedVulnerabilitySources] TO [ProGetUser_Role]
GO
